#
# spec file for package mediawiki (Version 1.8.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg ocaml openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           mediawiki
BuildRequires:  ocaml
License:        GNU General Public License (GPL)
Group:          Productivity/Networking/Web/Utilities
URL:            http://www.mediawiki.org
Requires:       mod_php_any php-session php-gettext php-zlib php-mysql ImageMagick-Magick++ tetex cjk-latex
Autoreqprov:    on
Version:        1.8.2
Release:        0.3
Summary:        A Web-Based Collaborative Editing Environment
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define mediawiki_path	/srv/www/htdocs/mediawiki
%define b_mediawiki_path $RPM_BUILD_ROOT%{mediawiki_path}
Source0:        %{name}-%{version}.tar.bz2
Source1:        README.SuSE
Patch:          %{name}-%{version}-XSS.diff
Patch1:         %{name}-%{version}-ajax.patch

%description
MediaWiki is the collaborative editing software that runs Wikipedia,
the free encyclopedia, and other projects. It is designed to handle a
large number of users and pages without imposing too rigid a structure
or workflow.



Authors:
--------
    Lee Daniel Crocker
    Magnus Manske
    Jan Hidders
    Brion Vibber
    Axel Boldt
    Geoffrey T. Dairiki
    Tomasz Wegrzanowski
    Erik Moeller
    Tim Starling
    Gabriel Wicke
    Ashar Voultoiz
    Evan Prodromou
    Several others

%debug_package
%prep
%setup -q
%patch
%patch1
find -type f -name ".cvsignore" -exec rm {} \;

%build
%ifnarch s390 s390x ppc64
  cd math
  make
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ifarch s390 s390x ppc64
  install -d -m 0755 %{b_mediawiki_path}
%else
  install -d -m 0755 %{b_mediawiki_path}/math
  cd math
  install -m 755 texvc %{b_mediawiki_path}/math
  make clean
  cd ..
%endif
cp -a * %{b_mediawiki_path}/
chmod 0770 %{b_mediawiki_path}/config
chmod 0775 %{b_mediawiki_path}/images
chmod 0640 %{b_mediawiki_path}/AdminSettings.sample
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}
install -m 0644 %{S:1} $RPM_BUILD_ROOT%{_docdir}/%{name}/
for i in COPYING FAQ HISTORY INSTALL README RELEASE-NOTES UPGRADE; do
  ln -s %{mediawiki_path}/$i $RPM_BUILD_ROOT%{_docdir}/%{name}
done

%post
# when upgrading from older version, run update script
# mysql admin login and password must be specified in AdminSettings.php
if [ $1 -gt 1 ] && [ -e %{mediawiki_path}/AdminSettings.php ]  ; then
	/usr/bin/php5 %{mediawiki_path}/maintenance/update.php --quick || true
fi 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_docdir}/%{name}
%dir %{mediawiki_path}
%{mediawiki_path}/[^cAi]*
%{mediawiki_path}/img_auth.php
%{mediawiki_path}/i[nr]*
%attr(-, root, www) %{mediawiki_path}/images
%attr(-, root, www) %{mediawiki_path}/AdminSettings.sample
%attr(-, root, www) %{mediawiki_path}/config

%changelog
* Wed Apr 04 2007 - pgajdos@suse.cz
- fixes XSS vulnerability in non-default configuration [#247333]
- CVE-2007-1055
- ajax.patch
* Wed Jan 10 2007 - anicka@suse.cz
- fix XSS bug in AJAX module [#233141]
* Mon Oct 16 2006 - anicka@suse.cz
- update to 1.8.2
  * major quarterly release
  * database changes: new update script provided
  * many bugfixes
  * new languages supported
- run update script when upgrading from older version,
  AdminSettings.php must exist to run update script
* Mon Jul 10 2006 - anicka@suse.cz
- update to 1.7.1:
  * major quarterly release
  * new features: archive of deleted files,
  update of experimental PostgreSQL support
* Thu Jun 15 2006 - anicka@suse.cz
- update to 1.6.7:
  * fix HTML/JavaScript-injection vulnerability in the edit form
  * add some localization and user interface updates
* Tue May 23 2006 - anicka@suse.cz
- update to 1.6.6
  * The account creation form has been separated from the user login form.
  * Template parameters can now have default values, as {{{name|default value}}}
  * Optional support for rasterizing SVG images to PNG for inline display
  * Experimental Oracle support
* Tue Mar 28 2006 - anicka@suse.cz
- backport security fix (xss) from 1.5.8
* Thu Jan 26 2006 - anicka@suse.cz
- fix DoS vulneravility CVE-2005-4501 (bug #145401)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 09 2006 - anicka@suse.cz
- update to 1.5.5
* Tue Jan 03 2006 - anicka@suse.cz
- update to 1.5.4
* Wed Dec 07 2005 - anicka@suse.cz
- update to 1.5.3
* Fri Nov 18 2005 - anicka@suse.cz
- update to 1.5.2
- remove permissions patch (not neccessary any more)
* Tue Oct 04 2005 - anicka@suse.cz
- update to 1.4.10
* Fri Sep 02 2005 - anicka@suse.cz
- add fixes for xss vulnerabilities from version 1.4.5
- require mod_php_any instead of mod_php
* Wed Aug 24 2005 - nadvornik@suse.cz
- fixed xss vulnerability CAN-2005-2396 [105841]
* Sat Jul 16 2005 - cthiel@suse.de
- update to version 1.4.7
* Wed Jul 13 2005 - cthiel@suse.de
- update to version 1.4.6
* Mon Jun 06 2005 - cthiel@suse.de
- update to version 1.4.5
* Fri Mar 11 2005 - postadal@suse.cz
- fixed building on s390 s390x ppc64, where missing ocamlopt
* Fri Mar 04 2005 - postadal@suse.cz
- initial version 1.4rc1 [#65543]
- fixed files permissions
